/**
 * TotalsIcon SVG
 */

import React from 'react';

const TotalsIcon = props => (
    /* eslint-disable */
    <svg xmlns="http://www.w3.org/2000/svg" width="21" height="22" viewBox="0 0 21 22">
        <g fill={props.color} fillRule="evenodd">
            <path d="M8 15.829H7c-.552 0-1 .46-1 1.028v3.086H4v-3.086c0-.568-.448-1.028-1-1.028H2V14.8c0-1.701 1.346-3.086 3-3.086S8 13.1 8 14.8v1.029zM5 6.057c.551 0 1 .462 1 1.029 0 .566-.449 1.028-1 1.028-.551 0-1-.462-1-1.028 0-.567.449-1.029 1-1.029zm5 8.743c0-2.37-1.577-4.352-3.702-4.945A3.086 3.086 0 0 0 8 7.085C8 5.386 6.654 4 5 4S2 5.384 2 7.086c0 1.222.699 2.27 1.702 2.769C1.577 10.448 0 12.429 0 14.8v2.057c0 .568.448 1.029 1 1.029h1v3.085C2 21.54 2.448 22 3 22h4c.552 0 1-.46 1-1.029v-3.085h1c.552 0 1-.461 1-1.029V14.8zM12 19c0-1.104.897-2 2-2s2 .896 2 2h-4zm2-7c.551 0 1 .449 1 1 0 .551-.449 1-1 1-.551 0-1-.449-1-1 0-.551.449-1 1-1zm1.754 3.423A2.993 2.993 0 0 0 17 13c0-1.654-1.346-3-3-3s-3 1.346-3 3c0 .998.495 1.877 1.246 2.423C10.921 16.075 10 17.427 10 19v1a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1v-1c0-1.573-.921-2.925-2.246-3.577zM21 3h-3V0h-2v3h-3v2h3v3h2V5h3z"/>
        </g>
    </svg>
    /* eslint-enable */
);

export default TotalsIcon;
